<template>
  <div>
    <div style="margin: 3rem">
      <header style="margin:10rem 6rem 5rem 6rem">
        <ReturnButton  :offsetArrow="21" :spanTitle="2" title="Regresar" v-on:clickEvent="returnPage" style="margin-bottom:3rem"></ReturnButton>
        <div class="bg-title text-white" style="padding:10px 20px">
          <h3> {{typeContent }} TELEVISA </h3>
        </div>
      </header>
      <!-- Rutas -->
      <div style="margin: 0 10rem">
        <el-row type="flex" justify="space-between">
          <el-col :span="4">
            <div @mouseover="mouseover('imgGroup', imgReception2)" @mouseout="mouseout('imgGroup', imgReception1)">
              <el-button type="primary" @click="goTo('receptionTelevisa')" plain>RECEPCIÓN</el-button>
              <div style="margin-top:3rem">
                <img :src="imgGroup" :key="imgGroup" alt="Grupos">
              </div>
            </div>
          </el-col>
          <el-col :span="4">
            <div @mouseover="mouseover('imgStore', imgStore2)" @mouseout="mouseout('imgStore', imgStore1)">
              <el-button type="primary"  @click="goTo('almacenTelevisa')" plain> ALMACÉN </el-button>
              <div style="margin-top:3rem">
                <img :src="imgStore" alt="Almacén">
              </div>
            </div>
          </el-col>
          <el-col :span="4">
            <div @mouseover="mouseover('imgHistorial', imgHistorial2)" @mouseout="mouseout('imgHistorial', imgHistorial1)">
              <el-button type="primary" @click="goTo('historialTelevisa', typeContent)" plain>HISTORIAL</el-button>
              <div style="margin-top:3rem">
                <img :src="imgHistorial" alt="Historial">
              </div>
            </div>
          </el-col>
        </el-row>
      </div>
    </div>
  </div>
</template>
<style>
.bg-title {
  background-color: #494949;
}
</style>

<script>
import ReturnButton from '@/components/ReturnButton.vue'
import imgReception1 from '../../../../assets/images/recepcion.svg'
import imgReception2 from '../../../../assets/images/recepcion-hover.svg'
import imgStore1 from '../../../../assets/images/almacen.svg'
import imgStore2 from '../../../../assets/images/almacen-hover.svg'
import imgHistorial1 from '../../../../assets/images/historial.svg'
import imgHistorial2 from '../../../../assets/images/historial-hover.svg'

export default {
  components: {
    ReturnButton
  },

  data () {
    return {
      imgGroup: imgReception1,
      imgReception1: imgReception1,
      imgReception2: imgReception2,
      imgStore: imgStore1,
      imgStore1: imgStore1,
      imgStore2: imgStore2,
      imgHistorial: imgHistorial1,
      imgHistorial1: imgHistorial1,
      imgHistorial2: imgHistorial2,
      typeContent: localStorage.getItem('typeContent')
    }
  },
  methods: {
    returnPage () {
      this.$router.push({ name: 'typeMaterials' })
    },
    mouseover (item, value) {
      this[item] = value
    },
    mouseout (item, value) {
      this[item] = value
    },
    goTo (item, typeContent) {
      this.$router.push({name: [item]})
      this.$localStorage.set('typeContentHistorial', typeContent)
      // console.log(typeContent)
    }
  }
}
</script>
